Bug 176372 - [PATCH] net-im/libpurple: Fixed linking libirc.so with libsasl2
Summary: [PATCH] net-im/libpurple: Fixed linking libirc.so with libsasl2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-23 15:40 UTC by Bernhard Froehlich
Modified: 2013-03-10 06:30 UTC (History)
1 user (show)

See Also:


Attachments
libpurple-2.10.7_1.patch (2.37 KB, patch)
2013-02-23 15:40 UTC, Bernhard Froehlich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernhard Froehlich freebsd_committer 2013-02-23 15:40:02 UTC
- Fixed linking libirc.so with libsasl2
- Bumped PORTREVISION

IRC protocol is completely broken in 2.10.7 since the libirc.so plugin
cannot be loaded because of missing libsasl2 symbols.

Patch was obtained from Slackware and cleaned up a bit so mentioning
that in the commit log would be great.

Added file(s):
- files/patch-libpurple-protocols-irc-Makefile.am
- files/patch-libpurple-protocols-irc-Makefile.in

Port maintainer (marcus@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: suffix)
Comment 1 Edwin Groothuis freebsd_committer 2013-02-23 15:40:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marcus

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Joe Marcus Clarke freebsd_committer 2013-03-10 06:28:33 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 3 dfilter service freebsd_committer 2013-03-10 06:28:33 UTC
Author: marcus
Date: Sun Mar 10 06:28:25 2013
New Revision: 313809
URL: http://svnweb.freebsd.org/changeset/ports/313809

Log:
  Fix the IRC module by linking libirc with libsasl2.
  
  PR:             176372
  Submitted by:   decke
  Obtained from:  Slackware

Added:
  head/net-im/libpurple/files/patch-libpurple-protocols-irc-Makefile.am   (contents, props changed)
  head/net-im/libpurple/files/patch-libpurple-protocols-irc-Makefile.in   (contents, props changed)
Modified:
  head/net-im/libpurple/Makefile

Modified: head/net-im/libpurple/Makefile
==============================================================================
--- head/net-im/libpurple/Makefile	Sun Mar 10 06:16:40 2013	(r313808)
+++ head/net-im/libpurple/Makefile	Sun Mar 10 06:28:25 2013	(r313809)
@@ -8,7 +8,7 @@
 
 PORTNAME?=	libpurple
 PORTVERSION=	2.10.7
-PORTREVISION?=	0
+PORTREVISION?=	1
 CATEGORIES?=	net-im
 MASTER_SITES=	SF/pidgin/Pidgin/${PORTVERSION}
 DISTNAME=	pidgin-${PORTVERSION}

Added: head/net-im/libpurple/files/patch-libpurple-protocols-irc-Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-im/libpurple/files/patch-libpurple-protocols-irc-Makefile.am	Sun Mar 10 06:28:25 2013	(r313809)
@@ -0,0 +1,11 @@
+--- libpurple/protocols/irc/Makefile.am.orig	2013-02-11 03:16:52.000000000 -0600
++++ libpurple/protocols/irc/Makefile.am	2013-02-15 15:18:32.950591016 -0600
+@@ -27,7 +27,7 @@
+ st =
+ pkg_LTLIBRARIES   = libirc.la
+ libirc_la_SOURCES = $(IRCSOURCES)
+-libirc_la_LIBADD  = $(GLIB_LIBS)
++libirc_la_LIBADD  = $(GLIB_LIBS) $(SASL_LIBS)
+ 
+ endif
+ 

Added: head/net-im/libpurple/files/patch-libpurple-protocols-irc-Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-im/libpurple/files/patch-libpurple-protocols-irc-Makefile.in	Sun Mar 10 06:28:25 2013	(r313809)
@@ -0,0 +1,21 @@
+--- libpurple/protocols/irc/Makefile.in.orig	2013-02-11 03:17:20.000000000 -0600
++++ libpurple/protocols/irc/Makefile.in	2013-02-15 15:18:43.256590687 -0600
+@@ -92,7 +92,8 @@
+ am__installdirs = "$(DESTDIR)$(pkgdir)"
+ LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkg_LTLIBRARIES)
+ am__DEPENDENCIES_1 =
+-@STATIC_IRC_FALSE@libirc_la_DEPENDENCIES = $(am__DEPENDENCIES_1)
++@STATIC_IRC_FALSE@libirc_la_DEPENDENCIES = $(am__DEPENDENCIES_1) \
++@STATIC_IRC_FALSE@	$(am__DEPENDENCIES_1)
+ am__libirc_la_SOURCES_DIST = cmds.c dcc_send.c irc.c irc.h msgs.c \
+ 	parse.c
+ am__objects_1 = libirc_la-cmds.lo libirc_la-dcc_send.lo \
+@@ -415,7 +416,7 @@
+ @STATIC_IRC_TRUE@libirc_la_SOURCES = $(IRCSOURCES)
+ @STATIC_IRC_TRUE@libirc_la_CFLAGS = $(AM_CFLAGS)
+ @STATIC_IRC_FALSE@pkg_LTLIBRARIES = libirc.la
+-@STATIC_IRC_FALSE@libirc_la_LIBADD = $(GLIB_LIBS)
++@STATIC_IRC_FALSE@libirc_la_LIBADD = $(GLIB_LIBS) $(SASL_LIBS)
+ AM_CPPFLAGS = \
+ 	-I$(top_srcdir)/libpurple \
+ 	-I$(top_builddir)/libpurple \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"